package nckd.base.helper;

import kd.bos.fileservice.FileServiceFactory;
import kd.bos.fileservice.extension.FileServiceExt;
import kd.bos.logging.Log;
import kd.bos.logging.LogFactory;
import kd.bos.service.attachment.FilePathService;

import java.io.File;
import java.io.InputStream;

/**
 * 自定义附件服务
 * 处理附件加密解密
 *
 * @author turborao
 * @date 2025/05/26 14:07
 */
public class CusFileServiceExt extends FilePathService {

    private static final Log logger = LogFactory.getLog(CusFileServiceExt.class);

    @Override
    public InputStream encode(String originalPath, InputStream in) {
        logger.info("--------------SEC附件加密 "+originalPath+"----------------");

//        InputStream inForSEC = null;
//        int isEncryption = FileSECUtils.checkFileIsEncryptionRest(in);
//        if(isEncryption != 1){
//
//            long filesize = FileSECUtils.getFileSizeByPath(originalPath);
//            inForSEC = FileSECUtils.decodeFileForSEC(filesize,in);
//            if(inForSEC != null){
//                return inForSEC;
//            }
//        }else{
//            logger.info("--------------SEC 附件已加密 "+originalPath+"----------------");
//        }
        return in;
    }


    /**
     * 附件解密
     * 先解决附件解密，后面再解决附件加密问题
     * @param originalPath
     * @param in
     * @return
     */
    @Override
    public InputStream decode(String originalPath, InputStream in) {
        logger.info("--------------SEC附件解密 "+originalPath+"----------------");

        InputStream inForSEC = FileSECUtils.processFileWithSEC(originalPath, in);
        if (inForSEC != null) {
            return inForSEC;
        }
        return in;
    }

}
